﻿Namespace DataServices

  ' Partial Method to support the INotifyPropertyChanged interface
  Partial Public Class Game
    Inherits DataServiceEntityBase
#Region "Partial Method INotifyPropertyChanged Implementation"
    ' Override the Changed partial methods to implement the 
    ' INotifyPropertyChanged interface

    ' This helps with the Model implementation to be a mostly
    ' DataBound implementation

    Private Sub OnDeveloperChanged()
      MyBase.FirePropertyChanged("Developer")
    End Sub
    Private Sub OnGenreChanged()
      MyBase.FirePropertyChanged("Genre")
    End Sub
    Private Sub OnListPriceChanged()
      MyBase.FirePropertyChanged("ListPrice")
    End Sub
    Private Sub OnListPriceCurrencyChanged()
      MyBase.FirePropertyChanged("ListPriceCurrency")
    End Sub
    Private Sub OnPlayerInfoChanged()
      MyBase.FirePropertyChanged("PlayerInfo")
    End Sub
    Private Sub OnProductDescriptionChanged()
      MyBase.FirePropertyChanged("ProductDescription")
    End Sub
    Private Sub OnProductIDChanged()
      MyBase.FirePropertyChanged("ProductID")
    End Sub
    Private Sub OnProductImageUrlChanged()
      MyBase.FirePropertyChanged("ProductImageUrl")
    End Sub
    Private Sub OnProductNameChanged()
      MyBase.FirePropertyChanged("ProductName")
    End Sub
    Private Sub OnProductTypeIDChanged()
      MyBase.FirePropertyChanged("ProductTypeID")
    End Sub
    Private Sub OnPublisherChanged()
      MyBase.FirePropertyChanged("Publisher")
    End Sub
    Private Sub OnRatingChanged()
      MyBase.FirePropertyChanged("Rating")
    End Sub
    Private Sub OnRatingUrlChanged()
      MyBase.FirePropertyChanged("RatingUrl")
    End Sub
    Private Sub OnReleaseDateChanged()
      MyBase.FirePropertyChanged("ReleaseDate")
    End Sub
    Private Sub OnSystemNameChanged()
      MyBase.FirePropertyChanged("SystemName")
    End Sub
#End Region
  End Class

End Namespace
