﻿Namespace DataServices

  ' Partial Method to support the INotifyPropertyChanged interface
  Partial Public Class Supplier
    Inherits DataServiceEntityBase
#Region "Partial Method INotifyPropertyChanged Implementation"
    ' Override the Changed partial methods to implement the 
    ' INotifyPropertyChanged interface

    ' This helps with the Model implementation to be a mostly
    ' DataBound implementation

    Private Sub OnSupplierAddressChanged()
      MyBase.FirePropertyChanged("SupplierAddress")
    End Sub
    Private Sub OnSupplierIDChanged()
      MyBase.FirePropertyChanged("SupplierID")
    End Sub
    Private Sub OnSupplierNameChanged()
      MyBase.FirePropertyChanged("SupplierName")
    End Sub
    Private Sub OnSupplierPhoneChanged()
      MyBase.FirePropertyChanged("SupplierPhone")
    End Sub

#End Region
  End Class

End Namespace