﻿Public Interface IGameCatalog

  Sub GetGames()
  Sub GetGamesByGenre(ByVal genre As String)
  Sub SaveChanges()

  Event GameLoadingComplete As EventHandler(Of GameLoadingEventArgs)
  Event GameLoadingError As EventHandler(Of GameCatalogErrorEventArgs)
  Event GameSavingComplete As EventHandler
  Event GameSavingError As EventHandler(Of GameCatalogErrorEventArgs)

End Interface

